| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Properties | Private Member Functions | Private Attributes | Static Private Attributes

# IG::Forms::TestControl Class Reference

Test control. More...

Collaboration diagram for IG::Forms::TestControl:
[legend]

List of all members.

## Public Member Functions
| TestControl ()
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Static Protected Member Functions
static int | GetNextId ()
| Returns another ID that is unique for objects of the containing class its and derived classes.
## Properties
string | Title`[get]`
int | Id`[get]`
| Unique ID for objects of the currnet and derived classes.
## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
## Private Attributes
int | _id = GetNextId()
System.ComponentModel.IContainer | components = null
| Required designer variable.
System.Windows.Forms.Label | lblTitle
## Static Private Attributes
static int | _nextId = 0

## Detailed Description

Test control.

This is a dummy control used for various tests such as window positioning.

$A Igor Oct09;

## Constructor & Destructor Documentation

IG::Forms::TestControl::TestControl | ( |  | ) | `[inline]`

## Member Function Documentation

static int IG::Forms::TestControl::GetNextId | ( |  | ) | `[inline, static, protected]`

Returns another ID that is unique for objects of the containing class its and derived classes.

override void IG::Forms::TestControl::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

void IG::Forms::TestControl::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

int IG::Forms::TestControl::_nextId = 0`[static, private]`

int IG::Forms::TestControl::_id = GetNextId()`[private]`

System.ComponentModel.IContainer IG::Forms::TestControl::components = null`[private]`

Required designer variable.

System.Windows.Forms.Label IG::Forms::TestControl::lblTitle`[private]`

## Property Documentation

string IG::Forms::TestControl::Title`[get]`

int IG::Forms::TestControl::Id`[get]`

Unique ID for objects of the currnet and derived classes.

The documentation for this class was generated from the following files:

- TestControl.cs
- TestControl.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events